<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RTvsCertificate StructType
 * @subpackage Structs
 */
class RTvsCertificate extends AbstractStructBase
{
    /**
     * The subjectName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $subjectName;
    /**
     * The issuerName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $issuerName;
    /**
     * The serialNumber
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serialNumber;
    /**
     * The timeToLive
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $timeToLive;
    /**
     * The ipv4Address
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ipv4Address;
    /**
     * The ipv6Address
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ipv6Address;
    /**
     * The roles
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Roles
     */
    public $roles;
    /**
     * The services
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Services
     */
    public $services;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RTvsCertificate
     * @uses RTvsCertificate::setSubjectName()
     * @uses RTvsCertificate::setIssuerName()
     * @uses RTvsCertificate::setSerialNumber()
     * @uses RTvsCertificate::setTimeToLive()
     * @uses RTvsCertificate::setIpv4Address()
     * @uses RTvsCertificate::setIpv6Address()
     * @uses RTvsCertificate::setRoles()
     * @uses RTvsCertificate::setServices()
     * @uses RTvsCertificate::setUuid()
     * @param string $subjectName
     * @param string $issuerName
     * @param string $serialNumber
     * @param int $timeToLive
     * @param string $ipv4Address
     * @param string $ipv6Address
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Roles $roles
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Services $services
     * @param string $uuid
     */
    public function __construct($subjectName = null, $issuerName = null, $serialNumber = null, $timeToLive = null, $ipv4Address = null, $ipv6Address = null, \\Losc\CucmBundle\Model\Webservice\StructType\Roles $roles = null, \\Losc\CucmBundle\Model\Webservice\StructType\Services $services = null, $uuid = null)
    {
        $this
            ->setSubjectName($subjectName)
            ->setIssuerName($issuerName)
            ->setSerialNumber($serialNumber)
            ->setTimeToLive($timeToLive)
            ->setIpv4Address($ipv4Address)
            ->setIpv6Address($ipv6Address)
            ->setRoles($roles)
            ->setServices($services)
            ->setUuid($uuid);
    }
    /**
     * Get subjectName value
     * @return string|null
     */
    public function getSubjectName()
    {
        return $this->subjectName;
    }
    /**
     * Set subjectName value
     * @param string $subjectName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTvsCertificate
     */
    public function setSubjectName($subjectName = null)
    {
        $this->subjectName = $subjectName;
        return $this;
    }
    /**
     * Get issuerName value
     * @return string|null
     */
    public function getIssuerName()
    {
        return $this->issuerName;
    }
    /**
     * Set issuerName value
     * @param string $issuerName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTvsCertificate
     */
    public function setIssuerName($issuerName = null)
    {
        $this->issuerName = $issuerName;
        return $this;
    }
    /**
     * Get serialNumber value
     * @return string|null
     */
    public function getSerialNumber()
    {
        return $this->serialNumber;
    }
    /**
     * Set serialNumber value
     * @param string $serialNumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTvsCertificate
     */
    public function setSerialNumber($serialNumber = null)
    {
        $this->serialNumber = $serialNumber;
        return $this;
    }
    /**
     * Get timeToLive value
     * @return int|null
     */
    public function getTimeToLive()
    {
        return $this->timeToLive;
    }
    /**
     * Set timeToLive value
     * @param int $timeToLive
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTvsCertificate
     */
    public function setTimeToLive($timeToLive = null)
    {
        $this->timeToLive = $timeToLive;
        return $this;
    }
    /**
     * Get ipv4Address value
     * @return string|null
     */
    public function getIpv4Address()
    {
        return $this->ipv4Address;
    }
    /**
     * Set ipv4Address value
     * @param string $ipv4Address
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTvsCertificate
     */
    public function setIpv4Address($ipv4Address = null)
    {
        $this->ipv4Address = $ipv4Address;
        return $this;
    }
    /**
     * Get ipv6Address value
     * @return string|null
     */
    public function getIpv6Address()
    {
        return $this->ipv6Address;
    }
    /**
     * Set ipv6Address value
     * @param string $ipv6Address
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTvsCertificate
     */
    public function setIpv6Address($ipv6Address = null)
    {
        $this->ipv6Address = $ipv6Address;
        return $this;
    }
    /**
     * Get roles value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Roles|null
     */
    public function getRoles()
    {
        return $this->roles;
    }
    /**
     * Set roles value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Roles $roles
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTvsCertificate
     */
    public function setRoles(\\Losc\CucmBundle\Model\Webservice\StructType\Roles $roles = null)
    {
        $this->roles = $roles;
        return $this;
    }
    /**
     * Get services value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Services|null
     */
    public function getServices()
    {
        return $this->services;
    }
    /**
     * Set services value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Services $services
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTvsCertificate
     */
    public function setServices(\\Losc\CucmBundle\Model\Webservice\StructType\Services $services = null)
    {
        $this->services = $services;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTvsCertificate
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
